> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link or unlink a true-cost sheet on an RFQ line item

> Attach a cost sheet to an RFQ line item (the persistent RFQ → True Cost link
    that powers the RFQ → True Cost → Quotation flow), or unlink it.

    **Path Parameters:**
    - `rfq_id`: RFQ UUID or document_id
    - `line_item_id`: the RFQ line item UUID

    **Request body:**
    ```json
    { "cost_sheet_id": "<cost sheet UUID or document_id>" }
    ```
    Pass `{"cost_sheet_id": null}` to unlink.



## OpenAPI

````yaml /api/openapi-cutmake.json patch /api/v1/rfqs/{rfq_id}/line-items/{line_item_id}/cost-sheet
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/rfqs/{rfq_id}/line-items/{line_item_id}/cost-sheet:
    patch:
      tags:
        - RFQs
      summary: Link or unlink a true-cost sheet on an RFQ line item
      description: >-
        Attach a cost sheet to an RFQ line item (the persistent RFQ → True Cost
        link
            that powers the RFQ → True Cost → Quotation flow), or unlink it.

            **Path Parameters:**
            - `rfq_id`: RFQ UUID or document_id
            - `line_item_id`: the RFQ line item UUID

            **Request body:**
            ```json
            { "cost_sheet_id": "<cost sheet UUID or document_id>" }
            ```
            Pass `{"cost_sheet_id": null}` to unlink.
      operationId: >-
        set_rfq_line_item_cost_sheet_api_v1_rfqs__rfq_id__line_items__line_item_id__cost_sheet_patch
      parameters:
        - name: rfq_id
          in: path
          required: true
          schema:
            type: string
            title: Rfq Id
        - name: line_item_id
          in: path
          required: true
          schema:
            type: string
            title: Line Item Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````